com.google.gwt.event.dom.client

## Interface HasScrollHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasScrolling, HorizontalScrollbar, VerticalScrollbar

All Known Implementing Classes:
  AbstractNativeScrollbar, CustomScrollPanel, NativeHorizontalScrollbar, NativeVerticalScrollbar, ScrollPanel

    public interface HasScrollHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `ScrollHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addScrollHandler(ScrollHandler handler)` Adds a `ScrollEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addScrollHandler

    HandlerRegistration addScrollHandler(ScrollHandler handler)

Adds a `ScrollEvent` handler.

Parameters:
  `handler` - the scroll handler
Returns:
  `HandlerRegistration` used to remove this handler